ApiHdfsSnapshotResult (cloudera-manager-api-swagger 7.8.1 API)
Date: 2022-11-17

com.cloudera.api.swagger.model

## Class ApiHdfsSnapshotResult

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiHdfsSnapshotResult

-     @Generated(value="io.swagger.codegen.languages.JavaClientCodegen",
                 date="2022-11-17T16:22:50.425Z")
      public class ApiHdfsSnapshotResult
      extends Object

  Detailed information about an HDFS snapshot command.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiHdfsSnapshotResult()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiHdfsSnapshotResult` | `addCreatedSnapshotsItem(ApiHdfsSnapshot createdSnapshotsItem)`
    `ApiHdfsSnapshotResult` | `addCreationErrorsItem(ApiHdfsSnapshotError creationErrorsItem)`
    `ApiHdfsSnapshotResult` | `addDeletedSnapshotsItem(ApiHdfsSnapshot deletedSnapshotsItem)`
    `ApiHdfsSnapshotResult` | `addDeletionErrorsItem(ApiHdfsSnapshotError deletionErrorsItem)`
    `ApiHdfsSnapshotResult` | `addProcessedPathsItem(String processedPathsItem)`
    `ApiHdfsSnapshotResult` | `addUnprocessedPathsItem(String unprocessedPathsItem)`
    `ApiHdfsSnapshotResult` | `createdSnapshotCount(BigDecimal createdSnapshotCount)`
    `ApiHdfsSnapshotResult` | `createdSnapshots(List<ApiHdfsSnapshot> createdSnapshots)`
    `ApiHdfsSnapshotResult` | `creationErrorCount(BigDecimal creationErrorCount)`
    `ApiHdfsSnapshotResult` | `creationErrors(List<ApiHdfsSnapshotError> creationErrors)`
    `ApiHdfsSnapshotResult` | `deletedSnapshotCount(BigDecimal deletedSnapshotCount)`
    `ApiHdfsSnapshotResult` | `deletedSnapshots(List<ApiHdfsSnapshot> deletedSnapshots)`
    `ApiHdfsSnapshotResult` | `deletionErrorCount(BigDecimal deletionErrorCount)`
    `ApiHdfsSnapshotResult` | `deletionErrors(List<ApiHdfsSnapshotError> deletionErrors)`
    `boolean` | `equals(Object o)`
    `BigDecimal` | `getCreatedSnapshotCount()` Number of snapshots created.
    `List<ApiHdfsSnapshot>` | `getCreatedSnapshots()` List of snapshots created.
    `BigDecimal` | `getCreationErrorCount()` Number of errors detected when creating snapshots.
    `List<ApiHdfsSnapshotError>` | `getCreationErrors()` List of errors encountered when creating snapshots.
    `BigDecimal` | `getDeletedSnapshotCount()` Number of snapshots deleted.
    `List<ApiHdfsSnapshot>` | `getDeletedSnapshots()` List of snapshots deleted.
    `BigDecimal` | `getDeletionErrorCount()` Number of errors detected when deleting snapshots.
    `List<ApiHdfsSnapshotError>` | `getDeletionErrors()` List of errors encountered when deleting snapshots.
    `BigDecimal` | `getProcessedPathCount()` Number of processed paths.
    `List<String>` | `getProcessedPaths()` The list of processed paths.
    `BigDecimal` | `getUnprocessedPathCount()` Number of unprocessed paths.
    `List<String>` | `getUnprocessedPaths()` The list of unprocessed paths.
    `int` | `hashCode()`
    `ApiHdfsSnapshotResult` | `processedPathCount(BigDecimal processedPathCount)`
    `ApiHdfsSnapshotResult` | `processedPaths(List<String> processedPaths)`
    `void` | `setCreatedSnapshotCount(BigDecimal createdSnapshotCount)`
    `void` | `setCreatedSnapshots(List<ApiHdfsSnapshot> createdSnapshots)`
    `void` | `setCreationErrorCount(BigDecimal creationErrorCount)`
    `void` | `setCreationErrors(List<ApiHdfsSnapshotError> creationErrors)`
    `void` | `setDeletedSnapshotCount(BigDecimal deletedSnapshotCount)`
    `void` | `setDeletedSnapshots(List<ApiHdfsSnapshot> deletedSnapshots)`
    `void` | `setDeletionErrorCount(BigDecimal deletionErrorCount)`
    `void` | `setDeletionErrors(List<ApiHdfsSnapshotError> deletionErrors)`
    `void` | `setProcessedPathCount(BigDecimal processedPathCount)`
    `void` | `setProcessedPaths(List<String> processedPaths)`
    `void` | `setUnprocessedPathCount(BigDecimal unprocessedPathCount)`
    `void` | `setUnprocessedPaths(List<String> unprocessedPaths)`
    `String` | `toString()`
    `ApiHdfsSnapshotResult` | `unprocessedPathCount(BigDecimal unprocessedPathCount)`
    `ApiHdfsSnapshotResult` | `unprocessedPaths(List<String> unprocessedPaths)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiHdfsSnapshotResult

          public ApiHdfsSnapshotResult()

  - ### Method Detail

    - #### processedPathCount

          public ApiHdfsSnapshotResult processedPathCount(BigDecimal processedPathCount)

    - #### getProcessedPathCount

          public BigDecimal getProcessedPathCount()

      Number of processed paths.
      Returns:
        processedPathCount

    - #### setProcessedPathCount

          public void setProcessedPathCount(BigDecimal processedPathCount)

    - #### processedPaths

          public ApiHdfsSnapshotResult processedPaths(List<String> processedPaths)

    - #### addProcessedPathsItem

          public ApiHdfsSnapshotResult addProcessedPathsItem(String processedPathsItem)

    - #### getProcessedPaths

          public List<String> getProcessedPaths()

      The list of processed paths. <p/> This is only available in the full view.
      Returns:
        processedPaths

    - #### setProcessedPaths

          public void setProcessedPaths(List<String> processedPaths)

    - #### unprocessedPathCount

          public ApiHdfsSnapshotResult unprocessedPathCount(BigDecimal unprocessedPathCount)

    - #### getUnprocessedPathCount

          public BigDecimal getUnprocessedPathCount()

      Number of unprocessed paths.
      Returns:
        unprocessedPathCount

    - #### setUnprocessedPathCount

          public void setUnprocessedPathCount(BigDecimal unprocessedPathCount)

    - #### unprocessedPaths

          public ApiHdfsSnapshotResult unprocessedPaths(List<String> unprocessedPaths)

    - #### addUnprocessedPathsItem

          public ApiHdfsSnapshotResult addUnprocessedPathsItem(String unprocessedPathsItem)

    - #### getUnprocessedPaths

          public List<String> getUnprocessedPaths()

      The list of unprocessed paths. Note that paths that are currently being processed will also be included in this list. <p/> This is only available in the full view.
      Returns:
        unprocessedPaths

    - #### setUnprocessedPaths

          public void setUnprocessedPaths(List<String> unprocessedPaths)

    - #### createdSnapshotCount

          public ApiHdfsSnapshotResult createdSnapshotCount(BigDecimal createdSnapshotCount)

    - #### getCreatedSnapshotCount

          public BigDecimal getCreatedSnapshotCount()

      Number of snapshots created.
      Returns:
        createdSnapshotCount

    - #### setCreatedSnapshotCount

          public void setCreatedSnapshotCount(BigDecimal createdSnapshotCount)

    - #### createdSnapshots

          public ApiHdfsSnapshotResult createdSnapshots(List<ApiHdfsSnapshot> createdSnapshots)

    - #### addCreatedSnapshotsItem

          public ApiHdfsSnapshotResult addCreatedSnapshotsItem(ApiHdfsSnapshot createdSnapshotsItem)

    - #### getCreatedSnapshots

          public List<ApiHdfsSnapshot> getCreatedSnapshots()

      List of snapshots created. <p/> This is only available in the full view.
      Returns:
        createdSnapshots

    - #### setCreatedSnapshots

          public void setCreatedSnapshots(List<ApiHdfsSnapshot> createdSnapshots)

    - #### deletedSnapshotCount

          public ApiHdfsSnapshotResult deletedSnapshotCount(BigDecimal deletedSnapshotCount)

    - #### getDeletedSnapshotCount

          public BigDecimal getDeletedSnapshotCount()

      Number of snapshots deleted.
      Returns:
        deletedSnapshotCount

    - #### setDeletedSnapshotCount

          public void setDeletedSnapshotCount(BigDecimal deletedSnapshotCount)

    - #### deletedSnapshots

          public ApiHdfsSnapshotResult deletedSnapshots(List<ApiHdfsSnapshot> deletedSnapshots)

    - #### addDeletedSnapshotsItem

          public ApiHdfsSnapshotResult addDeletedSnapshotsItem(ApiHdfsSnapshot deletedSnapshotsItem)

    - #### getDeletedSnapshots

          public List<ApiHdfsSnapshot> getDeletedSnapshots()

      List of snapshots deleted. <p/> This is only available in the full view.
      Returns:
        deletedSnapshots

    - #### setDeletedSnapshots

          public void setDeletedSnapshots(List<ApiHdfsSnapshot> deletedSnapshots)

    - #### creationErrorCount

          public ApiHdfsSnapshotResult creationErrorCount(BigDecimal creationErrorCount)

    - #### getCreationErrorCount

          public BigDecimal getCreationErrorCount()

      Number of errors detected when creating snapshots.
      Returns:
        creationErrorCount

    - #### setCreationErrorCount

          public void setCreationErrorCount(BigDecimal creationErrorCount)

    - #### creationErrors

          public ApiHdfsSnapshotResult creationErrors(List<ApiHdfsSnapshotError> creationErrors)

    - #### addCreationErrorsItem

          public ApiHdfsSnapshotResult addCreationErrorsItem(ApiHdfsSnapshotError creationErrorsItem)

    - #### getCreationErrors

          public List<ApiHdfsSnapshotError> getCreationErrors()

      List of errors encountered when creating snapshots. <p/> This is only available in the full view.
      Returns:
        creationErrors

    - #### setCreationErrors

          public void setCreationErrors(List<ApiHdfsSnapshotError> creationErrors)

    - #### deletionErrorCount

          public ApiHdfsSnapshotResult deletionErrorCount(BigDecimal deletionErrorCount)

    - #### getDeletionErrorCount

          public BigDecimal getDeletionErrorCount()

      Number of errors detected when deleting snapshots.
      Returns:
        deletionErrorCount

    - #### setDeletionErrorCount

          public void setDeletionErrorCount(BigDecimal deletionErrorCount)

    - #### deletionErrors

          public ApiHdfsSnapshotResult deletionErrors(List<ApiHdfsSnapshotError> deletionErrors)

    - #### addDeletionErrorsItem

          public ApiHdfsSnapshotResult addDeletionErrorsItem(ApiHdfsSnapshotError deletionErrorsItem)

    - #### getDeletionErrors

          public List<ApiHdfsSnapshotError> getDeletionErrors()

      List of errors encountered when deleting snapshots. <p/> This is only available in the full view.
      Returns:
        deletionErrors

    - #### setDeletionErrors

          public void setDeletionErrors(List<ApiHdfsSnapshotError> deletionErrors)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2022. All rights reserved.